//////////////////////////////////////////////
////surface parms work with TC code only/////

textures/5th_env/ladderclip_metal
{	
	// surfaceparm tin
	// surfaceparm slowdown
        qer_editorimage textures/5th_env/ladder_metal.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/NF5th_fortress/5thctrllght_bl
{
	qer_editorimage textures/NF5th_fortress/5thctrllght_bl.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_lightsubdivide 64
	q3map_surfacelight 100
	q3map_lightimage textures/NF5th_fortress/5thctrllght_glow.tga
	polygonOffset
        sort 6
	{
		map textures/NF5th_fortress/5thctrllght_bl.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/NF5th_fortress/5thctrllght_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

//diesl generator lightmap shader
models/mapobjects/diesel_generator_01
{	
               q3map_forceMeta
    	       q3map_nonPlanar
      	       q3map_shadeAngle 75		
{		
                map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/diesel_generator_01/diesel_generator_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/5th_decals/genrtsdw
{
	surfaceparm trans
	surfaceparm nonsolid
        qer_editorimage textures/5th_decals/genrtsdw.tga
	polygonOffset
        sort 6
	{
		map textures/5th_decals/genrtsdw.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//cave interior
textures/NF5th_fortress/ground_fallow_rock
{
	qer_editorimage textures/5th_terr1/ground_fallow_rock.tga
	surfaceparm dirt
	{
		map $lightmap
		rgbGen identity
   }
   q3map_styleMarker 
   {
		map textures/5th_terr1/ground_fallow_rock.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/NF5th_fortress/mountain_c06
{
	qer_editorimage textures/5th_terr1/mountain_c06.tga
	surfaceparm gravel
	{
		map $lightmap
		rgbGen identity
   }
   q3map_styleMarker 
   {
		map textures/5th_terr1/mountain_c06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//custom lights

textures/NF5th_fortress/raillight
{
	qer_editorimage textures/than_light/trlight05.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 600
	q3map_lightimage textures/than_light/trlight05_glow.tga

	{
		map textures/than_light/trlight05.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/than_light/trlight05_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/NF5th_fortress/sewer_lighty_18k
{
	q3map_lightimage	textures/UTCMP_colors/yellow_light.tga
	qer_editorimage	textures/5th_indoor/cabinet_light.tga
	q3map_surfacelight	1800
	polygonOffset
        sort 6
	surfaceparm nomarks
	surfaceparm glass
    {
        map $lightmap
    }
    {
        map textures/5th_indoor/cabinet_light.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/5th_indoor/cabinet_light_glow.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/NF5th_fortress/sewer_lighty_600
{
	q3map_lightimage textures/UTCMP_colors/yellow_light.tga
	qer_editorimage	textures/5th_indoor/cabinet_light.tga
	q3map_surfacelight 600
	polygonOffset
        sort 6
	surfaceparm nomarks
	surfaceparm glass
    {
        map $lightmap
    }
    {
        map textures/5th_indoor/cabinet_light.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/5th_indoor/cabinet_light_glow.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/NF5th_fortress/sewer_light_off
{
	qer_editorimage	textures/5th_indoor/cabinet_light.tga
	surfaceparm nomarks
	polygonOffset
        sort 6
	surfaceparm glass
    {
		map $lightmap
		rgbGen identity

    }
    {
        map textures/5th_indoor/cabinet_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
}

textures/NF5th_fortress/stairlights_decal
{
	q3map_lightimage textures/UTCMP_colors/yellow_light.tga
	qer_editorimage	textures/5th_indoor/lights_5_offw.tga
	q3map_surfacelight	1300
	surfaceparm	nomarks
	polygonOffset
        sort 6
	surfaceparm glass
    {
        map $lightmap
    }
    {
        map textures/5th_indoor/lights_5_offw.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/5th_indoor/lights_5_offw_glow.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/NF5th_fortress/ctrl_rlightsm
{
	q3map_lightimage	textures/UTCMP_colors/red_light.tga
	qer_editorimage	textures/5th_indoor/red_light_1.tga
	q3map_surfacelight	6000
	surfaceparm	nomarks
	polygonOffset
        sort 6
	surfaceparm glass
    {
        map $lightmap
    }
    {
        map textures/5th_indoor/red_light_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/5th_indoor/red_light_1_glow.tga
        blendFunc GL_ONE GL_ONE
    }
}

//view portal
textures/NF5th_fortress/portal
{
	qer_editorimage textures/NF5th_fortress/porta_view.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	portal

	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphagen portal 256
		rgbGen identityLighting
	}
	{
		map textures/5th_envsfx/5th_scren1.tga
                blendfunc filter
                tcMod scroll 9 .1
	}
       }
//holo globe floor from than_light pack

textures/NF5th_fortress/globeplate
{
	surfaceparm nomarks
	surfaceparm metalsteps
	{
		clampmap textures/NF5th_fortress/globeplate_glow.tga
		tcMod rotate 240
	}
	{
		map textures/NF5th_fortress/globeplate.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/NF5th_fortress/globe_flor1
{
	surfaceparm nomarks
	surfaceparm metalsteps
    {
        map $lightmap
    }
    {
        map textures/NF5th_fortress/globe_flor1.tga
	blendfunc gl_dst_color gl_zero
	rgbgen identity
    }
}

//super duper control panel by The5thHorsemen =)
//new comp

textures/NF5th_fortress/control_panel_scrn
{
	qer_editorimage textures/NF5th_fortress/control_panel_scrn.tga
	q3map_lightimage textures/UTCMP_colors/white_light.tga
	surfaceparm nodlight
//	q3map_surfacelight 100
	surfaceparm nomarks
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/NF5th_fortress/control_panel_scrn.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/NF5th_fortress/control_panel_glo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave triangle .8 .0 .8 0.5

	}
}

textures/NF5th_fortress/panelscreen_sm
{
	qer_editorimage textures/NF5th_fortress/panelscreen_sm.tga
	q3map_lightimage textures/UTCMP_colors/white_light.tga
	surfaceparm nodlight
//	q3map_surfacelight 100
	surfaceparm nomarks
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/NF5th_fortress/panelscreen_sm.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/NF5th_fortress/panelscreen_glo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave triangle .8 .0 .8 0.5

	}
}

textures/NF5th_fortress/ctrl_butns
{
	qer_editorimage textures/NF5th_fortress/ctrl_butns.tga
	q3map_lightimage textures/NF5th_fortress/ctrl_butns_glo.tga
	surfaceparm nodlight
//	q3map_surfacelight 100
	surfaceparm nomarks
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/NF5th_fortress/ctrl_butns.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/NF5th_fortress/ctrl_butns_glo.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave triangle .8 .0 .8 0.5

	}
}

//data-base wall-mission goal
textures/NF5th_fortress/x_floor
{
	surfaceparm bricks
    {
		map $lightmap
		rgbGen identity
    }
    {
        map textures/NF5th_fortress/x_floor.tga
	blendfunc gl_dst_color gl_zero
	rgbgen identity
    }
}

//fuel target-mission helper
//data-base wall-mission goal

textures/NF5th_fortress/fuel_trg
{
	surfaceparm metalsteps
	surfaceparm nomarks
    {
		map $lightmap
		rgbGen identity
    }
    {
        map textures/NF5th_fortress/fuel_trg.tga
	blendfunc gl_dst_color gl_zero
	rgbgen identity
    }
}

//out side landing number 3

textures/5th_fortress/landing_3
{
	qer_editorimage textures/NF5th_fortress/landing_3.tga
	surfaceparm bricks
	{
		map $lightmap
		rgbgen identity
   }
                q3map_styleMarker 
   {
		map textures/NF5th_fortress/landing_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylcement_1
{
	qer_editorimage textures/5th_cement/cement_1_grimy.tga
	surfaceparm bricks
	{
		map $lightmap
		rgbgen identity
   }
                q3map_styleMarker 
   {
		map textures/5th_cement/cement_1_grimy.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylplanks
{
	qer_editorimage textures/5th_wood/planks_green.tga
	surfaceparm wood
	{
		map $lightmap
		rgbgen identity
        }
                q3map_styleMarker
       { 
		map textures/5th_wood/planks_green.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylplanks_back
{
	qer_editorimage textures/5th_wood/planks_green_back.tga
	surfaceparm wood
	{
		map $lightmap
		rgbgen identity
        }
                q3map_styleMarker
       { 
		map textures/5th_wood/planks_green_back.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylcemt_strp
{
	qer_editorimage textures/5th_cement/cement_3_stripes.tga
	surfaceparm bricks
	{
		map $lightmap
		rgbgen identity
        }
                q3map_styleMarker
       { 
		map textures/5th_cement/cement_3_stripes.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylcemt_2
{
	qer_editorimage textures/5th_cement/cement_2.tga
	surfaceparm bricks
	{
		map $lightmap
		rgbgen identity
        }
                q3map_styleMarker
       { 
		map textures/5th_cement/cement_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylroof_blk
{
	qer_editorimage textures/5th_militarywalls/mroof_m01a.tga
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
        }
                q3map_styleMarker
       { 
		map textures/5th_militarywalls/mroof_m01a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_fortress/stylflat_lt
{
	qer_editorimage textures/5th_cement/flat_lt.tga
	surfaceparm bricks
	{
		map $lightmap
		rgbgen identity
        }
                q3map_styleMarker
       { 
		map textures/5th_cement/flat_lt.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}