//water falls into this

textures/5th_waterfall/waterbottom
{
	qer_editorimage textures/5th_waterfall/water1.tga
	surfaceparm noimpact
	surfaceparm water
	q3map_nolightmap
	cull disable

	{
		map textures/5th_waterfall/water1.tga
		blendFunc GL_ONE GL_ZERO
		tcMod scroll 0 -0.20
		tcMod scale 3 3
	}
	{
		map textures/5th_waterfall/water1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0 -0.25
	}
}

// dark water waterfall
textures/5th_waterfall/waterfall
{
	qer_editorimage textures/5th_waterfall/water1.tga
	surfaceparm noimpact
	surfaceparm water	
        q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    {
        map textures/5th_waterfall/water1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen exactVertex
        tcMod scroll 0 -0.25
        tcMod scale 3 3
    }
    {
        map textures/5th_waterfall/water1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 -0.25
    }
    {
        map textures/5th_waterfall/watertest.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scroll 0 -0.15
        tcMod scale 3 3
    }
}

//clear water waterfall fps hit but looks good
//surfparm water can be taken out if needed
textures/5th_waterfall/waterfall2a
{
	qer_editorimage textures/5th_waterfall/water1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull disable

	{
		map textures/5th_waterfall/water1.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		tcMod turb .1 .05 .25 .08
		tcMod scroll 0 -0.25
	}
	{
		map textures/5th_waterfall/water1.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod scroll 0 -0.25
	}
	{
		map textures/5th_waterfall/watertest.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scroll 0 -0.15
		tcMod scale 3 3
	}
}

//waterfall with whitewater fast moving good for terrain maps
//best looking waterfall no fps problems

textures/5th_waterfall/white_waterfall
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
     // deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterfall.tga 
      qer_trans 0.9
      cull none
	{
    		map textures/5th_waterfall/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -1.2
	}
	{
    		map textures/5th_waterfall/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -0.7
	}
}

//waterfall with whitewater slow moving
// same as other but slower for small waterfalls

textures/5th_waterfall/slowht_waterfall
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
     // deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterfall.tga 
      qer_trans 0.9
      cull none
	{
    		map textures/5th_waterfall/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -.4
	}
	{
    		map textures/5th_waterfall/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -0.2
	}
}
//texture 512


textures/5th_waterfall/waterfall_2lrgfst
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
     // deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterfall_lrg2.tga 
      qer_trans 0.9
      cull none
	{
    		map textures/5th_waterfall/waterfall_lrg2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -1.2
	}
	{
    		map textures/5th_waterfall/waterfall_lrg2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -0.7
	}
}

//waterfall with whitewater slow moving
// same as other but slower for small waterfalls

textures/5th_waterfall/waterfall_2lrgslo
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
     // deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterfall_lrg2.tga
      qer_trans 0.9
      cull none
	{
    		map textures/5th_waterfall/waterfall_lrg2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -.4
	}
	{
    		map textures/5th_waterfall/waterfall_lrg2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -0.2
	}
}

//texture large 1024
textures/5th_waterfall/waterfall_lrgfst
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
     // deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterfall_lrg.tga 
      qer_trans 0.9
      cull none
	{
    		map textures/5th_waterfall/waterfall_lrg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -1.2
	}
	{
    		map textures/5th_waterfall/waterfall_lrg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -0.7
	}
}

//waterfall with whitewater slow moving
// same as other but slower for small waterfalls

textures/5th_waterfall/waterfall_lrgslo
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
     // deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterfall_lrg.tga
      qer_trans 0.9
      cull none
	{
    		map textures/5th_waterfall/waterfall_lrg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -.4
	}
	{
    		map textures/5th_waterfall/waterfall_lrg.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.000000 -0.2
	}
}

//mist at bottom of waterfall 
//deform values can deleted
textures/5th_waterfall/wtrwake1
{
      surfaceparm nolightmap
      surfaceparm trans
      surfaceparm nonsolid
      deformVertexes wave 180 sin 0.000000 3.000000 0.000000 1.50000
      qer_editorimage textures/5th_waterfall/waterwake.tga 
      cull none
	{
    		map textures/5th_waterfall/waterwake.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
    		map textures/5th_waterfall/waterwake.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
