// FSquad - www.q3tc.tk - deepclone
// tc_cityheat


textures/deepclone_skies/daysky01
{
	qer_editorimage textures/tc_skies/clouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nomarks
	surfaceparm sky
	skyparms env/hdsbox2 128 -

	q3map_sun 1.0 0.98 0.70 46 150 75 
	q3map_lightRGB 1.0 0.99 0.85 
	q3map_skylight 22 5
	q3map_notjunc
	q3map_lightSubdivide 64 

	{
		map textures/tc_skies/clouds.tga
		blendfunc blend
		depthWrite
		tcMod scale 3 3
		tcMod scroll 0.0005 0.001
	}
	{
		map textures/tc_skies/clouds.tga
		blendfunc add
		depthWrite
		tcMod scale 3 3
		tcMod scroll 0.001 0.003
	}
}


/////////////// misc ///////////////////
textures/deepclone_misc/tv_movie
{   
	qer_editorimage textures/deepclone_misc/tv_movie.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/tv_movie.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/dc_tin_mailbox
{
	qer_editorimage textures/deepclone_misc/MAIL02L.tga	
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/MAIL02L.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/dc_tin_deliveries_here
{   
	qer_editorimage textures/deepclone_misc/deliveries_here.tga
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/deliveries_here.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/bus_stop
{   
	qer_editorimage textures/deepclone_misc/bus_stop.tga
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/bus_stop.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/dc_dirt_sackcloth
{
	qer_editorimage textures/tc_metals/metal3.tga	
	surfaceparm dirt
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_metals/metal3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/dc_gs_knifeprivhoju
{
	qer_editorimage textures/deepclone_misc/knifprivhoju.tga
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/knifprivhoju.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/dc_plc_stromkasten_top
{
	qer_editorimage textures/tc_misc/stromkasten_top.tga
	surfaceparm plastic
	{
		map textures/tc_misc/stromkasten_top.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/deepclone_misc/BOOKS4
{
	qer_editorimage textures/deepclone_misc/BOOKS4.tga
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/deepclone_misc/BOOKS4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/tuerschild_decal
{
	qer_editorimage textures/tc_signs/tuerschild.tga
	polygonOffset
	entityMergable

	{
		map textures/tc_signs/tuerschild.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/deepclone_misc/board1_decal
{
	qer_editorimage textures/tc_furniture/board1.tga
	polygonOffset
	entityMergable

	{
		map textures/tc_furniture/board1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/deepclone_misc/floorsign1_decal
{
	qer_editorimage textures/deepclone_misc/floorsign1.tga
	polygonOffset
	entityMergable
	{
		map  textures/deepclone_misc/floorsign1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/deepclone_misc/floorsign2_decal
{
	qer_editorimage textures/deepclone_misc/floorsign2.tga
	polygonOffset
	entityMergable
	{
		map  textures/deepclone_misc/floorsign2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/deepclone_misc/floorsign3_decal
{
	qer_editorimage textures/deepclone_misc/floorsign3.tga
	polygonOffset
	entityMergable
	{
		map  textures/deepclone_misc/floorsign3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
textures/deepclone_misc/lamellen_nsld
{
	qer_editorimage textures/tc_windows/lamellen.tga
	surfaceparm tin
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/tc_windows/lamellen.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/exit_sign
{
	qer_editorimage textures/deepclone_misc/exit_sign.tga
	surfaceparm lightfilter
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/exit_sign.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/exit_sign2
{
	qer_editorimage textures/deepclone_misc/exit_sign2.tga
	surfaceparm lightfilter
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/exit_sign2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/exit_sign2_plain
{
	qer_editorimage textures/deepclone_misc/exit_sign2.tga
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_misc/exit_sign2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_misc/books1
{
	qer_editorimage textures/tc_prison/books1.tga
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_prison/books1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}


/////////////// floor ///////////////////
textures/deepclone_floor/dc_Stoff_Stuhl
{   
	qer_editorimage textures/tc_furniture/stoff.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_furniture/stoff.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/dc_tin_floor04sml
{
	qer_editorimage textures/deepclone_floor/tin_floor04sml.tga	
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_floor/tin_floor04sml.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/carpet_high_01
{
	qer_editorimage textures/deepclone_floor/carpet_high_01.tga
	surfaceparm plastic
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_floor/carpet_high_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/carpet_high_03
{
	qer_editorimage textures/deepclone_floor/carpet_high_03.tga
	surfaceparm plastic
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_floor/carpet_high_03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/carpet_high_04
{
	qer_editorimage textures/deepclone_floor/carpet_high_04.tga
	surfaceparm plastic
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_floor/carpet_high_04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/wood1_slow
{
	qer_editorimage textures/tc_wood/wood1.tga
	surfaceparm wood
	surfaceparm slowdown
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/tc_wood/wood1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/wood1_nonsolid
{
	qer_editorimage textures/tc_wood/wood1.tga
	surfaceparm wood
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/tc_wood/wood1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/wood_grain_02
{
	qer_editorimage textures/deepclone_floor/wood_grain_02.tga
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/deepclone_floor/wood_grain_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/wood_grain_01
{
	qer_editorimage textures/deepclone_floor/wood_grain_01.tga
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map  textures/deepclone_floor/wood_grain_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_floor/gulli_decal
{
	qer_editorimage textures/tc_floor/gulli.tga
	polygonOffset
	entityMergable
	{
		map  textures/tc_floor/gulli.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


/////////////// door ///////////////////
textures/deepclone_door/dc_tin_Door51_128x256
{
	qer_editorimage textures/deepclone_door/Door51_128x256.tga	
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_door/Door51_128x256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_door/door3a
{   
	qer_editorimage textures/deepclone_door/door3a.tga
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_door/door3a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_door/dc_wd_door60ab
{
	qer_editorimage textures/deepclone_door/door60ab.tga	
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_door/door60ab.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_door/door38ba
{
	qer_editorimage textures/deepclone_door/door38ba.tga	
	surfaceparm wood
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_door/door38ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_door/dc_wd_door32_128x256
{
	qer_editorimage textures/deepclone_door/door32_128x256.tga	
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_door/door32_128x256.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_door/bigdoor3_phong
{   
	qer_editorimage textures/tc_doors/bigdoor3.tga
	q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_doors/bigdoor3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


//////////////// nature ///////////////
textures/deepclone_nature/dirt1
{
	qer_editorimage textures/tc_nature/dirt1.tga
	surfaceparm dirt
	q3map_shadeangle 180
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_nature/dirt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_nature/grass
{
	qer_editorimage textures/tc_nature/grass.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
   {
		map textures/tc_nature/grass.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
   }
   {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
   }
}


////////////////////////wall//////////////////////////////
textures/deepclone_wall/decay1
{   
	qer_editorimage textures/deepclone_wall/decay1.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_wall/decay1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_wall/decay2
{   
	qer_editorimage textures/deepclone_wall/decay2.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/deepclone_wall/decay2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_wall/bricks_k4_png
{   
	qer_editorimage textures/tc_wall/bricks_k4.tga
	q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_wall/bricks_k4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_wall/tools1_decal
{
	qer_editorimage textures/tc_furniture/tools1.tga
	polygonOffset
	entityMergable
	{
		map textures/tc_furniture/tools1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/deepclone_wall/Gitter_3_decal
{       
	qer_editorimage textures/tc_metals/Gitter_3.tga
	polygonOffset
	entityMergable
	{
		map textures/tc_metals/Gitter_3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}


///////////////// metals ////////////////////
textures/deepclone_metals/metal3_phong
{
	qer_editorimage textures/tc_metals/metal3.tga
	surfaceparm metalsteps	
	q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tc_metals/metal3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/deepclone_metals/blech1
{
	qer_editorimage textures/tc_metals/blech1.tga
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/blech1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_metals/blech1a
{
	qer_editorimage textures/tc_metals/blech1a.tga
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/blech1a.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_metals/metal2-nonsolid
{
	qer_editorimage textures/tc_metals/metal2.tga
	surfaceparm tin
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/metal2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_metals/metal8_cull
{
	qer_editorimage textures/tc_metals/metal8.tga
	surfaceparm metalsteps
	cull none
      nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/metal8.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_metals/metal5_cull
{
	qer_editorimage textures/tc_metals/metal5.tga
	surfaceparm metalsteps
	cull none
      nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/metal5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_metals/stahltraeger_3_cull
{
	qer_editorimage textures/tc_metals/stahltraeger_3.tga
	surfaceparm metalsteps
	cull none
      nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/stahltraeger_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_metals/fenster_3
{
	qer_editorimage textures/tc_metals/fenster_3.tga
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_metals/fenster_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


///////////////// windows ////////////////////
textures/deepclone_windows/window14
{
	qer_editorimage textures/tc_windows/window14.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window14.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/deepclone_windows/window14b
{
	qer_editorimage textures/tc_windows/window14b.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window14b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}