// -----------------------------------------------
// q3:truecombat	shaders : nature
// www.truecombat.com
//
// this file contains the shaders for textures in
// the textures/tc_nature directory, it may be only 
// modified by teamterminator members !
//
// ( contains 24 shaders for 24 textures )
// 
// last update : 03.03.2002 (h0rst-ds)
// -----------------------------------------------

textures/tc_nature/snow
{
	qer_editorimage textures/tc_nature/snow.tga
	surfaceparm snow
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/snow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/sand_1
{
	qer_editorimage textures/tc_nature/sand_1.tga
	surfaceparm sand
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/sand_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/sand_2
{
	qer_editorimage textures/tc_nature/sand_2.tga
	surfaceparm sand
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/sand_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/sand_3
{
	qer_editorimage textures/tc_nature/sand_3.tga
	surfaceparm sand
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/sand_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/sand_4
{
	qer_editorimage textures/tc_nature/sand_4.tga
	surfaceparm sand
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/sand_4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/stones_k1
{
	qer_editorimage textures/tc_nature/stones_k1.tga
	surfaceparm dirt
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/stones_k1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/dirt1
{
	qer_editorimage textures/tc_nature/dirt1.tga
	surfaceparm dirt
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/dirt1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/dirt2
{
	qer_editorimage textures/tc_nature/dirt2.tga
	surfaceparm dirt
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/dirt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/dirt3
{
	qer_editorimage textures/tc_nature/dirt3.tga
	surfaceparm dirt
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/dirt3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/grass_1
{
	qer_editorimage textures/tc_nature/grass_1.tga
	surfaceparm grass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/grass_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/grass_2
{
	qer_editorimage textures/tc_nature/grass_2.tga
	surfaceparm grass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/grass_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/grass_dirt
{
	qer_editorimage textures/tc_nature/grass_dirt.tga
	surfaceparm grass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/grass_dirt.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/grass_dirt2
{
	qer_editorimage textures/tc_nature/grass_dirt2.tga
	surfaceparm grass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/grass_dirt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/kieselstein
{
	qer_editorimage textures/tc_nature/kieselstein.tga
	surfaceparm gravel
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/kieselstein.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_nature/kieselstein_2
{
	qer_editorimage textures/tc_nature/kieselstein_2.tga
	surfaceparm gravel
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_nature/kieselstein_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}


// -----------------------------------------------
// plant shaders :
// -----------------------------------------------

textures/tc_nature/gras_bueschel
{
	qer_editorimage textures/tc_nature/grass.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
   {
		map textures/tc_nature/grass.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
   }
   {
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
   }
}

textures/tc_nature/farnzweig
{
	qer_editorimage textures/tc_nature/farn1.tga
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/tc_nature/farn1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambus1_alpha
{
	qer_editorimage textures/tc_nature/bambus1.tga
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/tc_nature/bambus1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambus2_alpha
{
	qer_editorimage textures/tc_nature/bambus2.tga
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/tc_nature/bambus2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambus3_alpha
{
      qer_editorimage textures/tc_nature/bambus3.tga
      surfaceparm nonsolid
      cull none
      nopicmip
	{
		map textures/tc_nature/bambus3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambus4_alpha
{
	qer_editorimage textures/tc_nature/bambus4.tga
      surfaceparm nonsolid
      cull none
	nopicmip
	{
		map textures/tc_nature/bambus4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambusblatt1_alpha
{
      qer_editorimage textures/tc_nature/bambusblatt1.tga
      surfaceparm nolightmap
	surfaceparm nonsolid
      cull none
	nopicmip
	{
		map textures/tc_nature/bambusblatt1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambusende1_alpha
{
      qer_editorimage textures/tc_nature/bambusende1.tga
      surfaceparm nolightmap
      surfaceparm nonsolid
      cull none
      nopicmip
	{
		map textures/tc_nature/bambusende1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tc_nature/bambusende2_alpha
{
      qer_editorimage textures/tc_nature/bambusende2.tga
      surfaceparm nolightmap
      surfaceparm nonsolid
      cull none
      nopicmip
	{
		map textures/tc_nature/bambusende2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}
textures/tc_nature/ice1
{
      qer_trans .5
      surfaceparm trans
	surfaceparm ice
      qer_editorimage textures/tc_nature/ice1.tga
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
      {
            map textures/tc_nature/ice1.tga
	      blendFunc blend
              rgbGen identity
      }
      {
		map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}