// -----------------------------------------------
// q3:truecombat	shaders : windows
// www.truecombat.com
//
// this file contains the shaders for textures in
// the textures/tc_windows directory, it may be
// only modified by teamterminator members !
//
// -----------------------------------------------

textures/tc_windows/trans_glass
{
	qer_trans 0.8
	qer_editorimage textures/tc_windows/glas_alpha.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm glass       	
	{
		map textures/tc_windows/glas_alpha.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha 
		rgbgen identity
	}
}
textures/tc_windows/trans_glass_shiny
{
	qer_trans 0.5
	qer_editorimage textures/tc_windows/glas_alpha.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm glass
	{
		map textures/tc_sfx/q3tc_refl_indoor.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}           	
	{
		map textures/tc_windows/glas_alpha.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha 
		rgbgen identity
	}
}
textures/tc_windows/trans_glass_shiny_outr
{
	qer_trans 0.5
	qer_editorimage textures/tc_windows/glas_alpha.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm glass
	{
		map textures/tc_sfx/q3tc_refl_dark.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}           	
	{
		map textures/tc_windows/glas_alpha.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha 
		rgbgen identity
	}
}
textures/tc_windows/trans_glass2
{
	qer_trans 0.5
	qer_editorimage textures/tc_windows/window13.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm glass
	{
		map textures/tc_sfx/q3tc_refl_indoor.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}   
	{
		map textures/tc_windows/window13_alpha.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha 
		rgbgen identity
	}
}
textures/tc_windows/trans_glass3
{
	qer_trans 0.5
	qer_editorimage textures/tc_windows/glass_green.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm glass        	
	{
		map textures/tc_windows/glass_green.tga
		blendfunc gl_one gl_one
		rgbgen identity
	}  
	{
		map textures/tc_windows/glas_alpha.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha 
		rgbgen identity
	}
}
textures/tc_windows/trans_glass4
{
	qer_trans 0.5
	qer_editorimage textures/tc_windows/win9.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm glass       
	{
		map textures/tc_windows/win9.tga
		blendfunc gl_one gl_one
		rgbgen identity
	}  
	{
		map textures/tc_windows/win9.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha 
		rgbgen identity
	}
}
// -----------------------------------------------
// shiny window shader below...
// -----------------------------------------------

textures/tc_windows/glass_green-shiny
{
	qer_editorimage textures/tc_windows/glass_green.tga
	surfaceparm glass
	{
		map textures/tc_windows/glass_green.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win1-shiny
{
	qer_editorimage textures/tc_windows/win1.tga
	surfaceparm glass
	{
		map textures/tc_windows/win1.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win2-shiny
{
	qer_editorimage textures/tc_windows/win2.tga
	surfaceparm glass
	{
		map textures/tc_windows/win2.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}
textures/tc_windows/win3-shiny
{
	qer_editorimage textures/tc_windows/win3.tga
	surfaceparm glass
	{
		map textures/tc_windows/win3.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win4-shiny
{
	qer_editorimage textures/tc_windows/win4.tga
	surfaceparm glass
	{
		map textures/tc_windows/win4.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win5-shiny
{
	qer_editorimage textures/tc_windows/win5.tga
	surfaceparm glass
	{
		map textures/tc_windows/win5.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win6-shiny
{
	qer_editorimage textures/tc_windows/win6.tga
	surfaceparm glass
	{
		map textures/tc_windows/win6.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win7-shiny
{
	qer_editorimage textures/tc_windows/win7.tga
	surfaceparm glass
	{
		map textures/tc_windows/win7.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win8-shiny
{
	qer_editorimage textures/tc_windows/win8.tga
	surfaceparm glass
	{
		map textures/tc_windows/win8.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win9-shiny
{
	qer_editorimage textures/tc_windows/win9.tga
	surfaceparm glass
	{
		map textures/tc_windows/win9.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/win10-shiny
{
	qer_editorimage textures/tc_windows/win10.tga
	surfaceparm glass
	{
		map textures/tc_windows/win10.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

textures/tc_windows/window13-shiny
{
	qer_editorimage textures/tc_windows/window13.tga
	surfaceparm glass
	{
		map textures/tc_windows/window13.tga
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR gl_src_color
	}
	{
		map textures/effects/tinfx3.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcgen environment
	}
}

// -----------------------------------------------
// just surfaceparm shader below...
// -----------------------------------------------

textures/tc_windows/lamellen
{
	qer_editorimage textures/tc_windows/lamellen.tga
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/lamellen.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/glass_green
{
	qer_editorimage textures/tc_windows/glass_green.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/glass_green.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win1
{
	qer_editorimage textures/tc_windows/win1.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win2
{
	qer_editorimage textures/tc_windows/win2.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}
textures/tc_windows/win3
{
	qer_editorimage textures/tc_windows/win3.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win4
{
	qer_editorimage textures/tc_windows/win4.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win5
{
	qer_editorimage textures/tc_windows/win5.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win6
{
	qer_editorimage textures/tc_windows/win6.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win6.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win7
{
	qer_editorimage textures/tc_windows/win7.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win7.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win8
{
	qer_editorimage textures/tc_windows/win8.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win8.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win9
{
	qer_editorimage textures/tc_windows/win9.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win9.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/win10
{
	qer_editorimage textures/tc_windows/win10.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/win10.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/window11
{
	qer_editorimage textures/tc_windows/window11.tga
	surfaceparm glass
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window11.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/window11b
{
	qer_editorimage textures/tc_windows/window11b.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window11b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/window12
{
	qer_editorimage textures/tc_windows/window12.tga
	surfaceparm glass
	q3map_surfacelight 400
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window12.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/window12b
{
	qer_editorimage textures/tc_windows/window12b.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window12b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/tc_windows/window13
{
	qer_editorimage textures/tc_windows/window13.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window13.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}