textures/q3tc_liq/roof_k5
{
	qer_editorimage textures/q3tc_liq/roof_k5.tga
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3tc_liq/roof_k5.tga
		blendFunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/q3tc_liq/sl_door
{
	qer_editorimage textures/q3tc_liq/sl_door1.tga
	surfaceparm tin
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3tc_liq/sl_door1.tga
		blendFunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/q3tc_liq/parking
{
	qer_editorimage textures/q3tc_liq/parking.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3tc_liq/parking.tga
		blendFunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/q3tc_liq/q3tc_sky
{
	qer_editorimage textures/q3tc_liq/q3tc_clouds_high.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.7 0.7 1 55 300 75
	q3map_surfacelight 50
	q3map_lightsubdivide 256
	skyparms textures/q3tc_liq/q3tc_nightsky 512 -
	{
		map textures/q3tc_liq/q3tc_clouds_high.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 3
		tcMod scroll 0.003 0.005
	}
}

textures/q3tc_liq/bar
{
	qer_editorimage textures/q3tc_liq/bar.tga
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/q3tc_liq/bar.tga
		blendfunc GL_one GL_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3tc_liq/win_k3
{
	qer_editorimage textures/tc_windows/window13_alpha.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window13_alpha.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/q3tc_liq/beam_edit
{
	qer_editorimage textures/sfx/beam.tga

        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomipmaps
	{
		map textures/sfx/beam.tga
                tcMod Scroll .3 0
                blendFunc add
        }    
}

textures/q3tc_liq/blackfog
{
qer_editorimage textures/sfx/blackness.tga
qer_nocarve
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
fogparms ( 0 0 0 ) 100
}

textures/q3tc_liq/wood5_noclip
{
	qer_editorimage textures/tc_wood/wood5.tga
	surfaceparm wood
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_wood/wood5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/q3tc_liq/fence_edit
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm fence
	surfaceparm alphashadow
	cull none
	nopicmip        
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 4 4
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3tc_liq/ceil_lamp2
{
	qer_editorimage textures/tc_sfx/ceil_lamp2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/tc_sfx/ceil_lamp2.tga
		blendfunc gl_one gl_one
		rgbgen identity
	}
		
}

textures/q3tc_liq/window
{
	qer_editorimage textures/q3tc_liq/window.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3tc_liq/window.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/q3tc_liq/window11_nolight
{
	qer_editorimage textures/tc_windows/window11.tga
	surfaceparm glass
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/tc_windows/window11.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}