//////////////// TrueCombat - Weapons ////////////////

// COMMON

// lens
models/weapons2/common/lens
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/weapons2/common/lens.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
}
// tritium dot
models/weapons2/common/tritium
{
	{
		map models/weapons2/common/tritium.tga
		blendFunc blend
	}
}
// Blue arms
models/weapons2/common/sleeve
{
	{
		map models/weapons2/common/sleeve.tga
		rgbGen lightingDiffuse
	}
}
// Green arms
models/weapons2/common/sleeve_green
{
	{
		map models/weapons2/common/sleeve_green.tga
		rgbGen lightingDiffuse
	}
}
// WEAPONS2

// R93
models/weapons2/r93/f_r93
{
	sort additive
	cull disable
	{
		map	models/weapons2/r93/f_r93.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/weapons2/r93/main
{
	nopicmip
	nomipmaps
	{
		map models/weapons2/r93/main.tga
		rgbGen lightingDiffuse
	}
}
models/weapons2/r93/scope
{
	nopicmip
	nomipmaps
	{
		map models/weapons2/r93/scope.tga
		rgbGen lightingDiffuse
	}
}
models/weapons2/r93/ammo
{
	nopicmip
	nomipmaps
	{
		map models/weapons2/r93/ammo.tga
		rgbGen lightingDiffuse
	}
}
models/weapons2/r93/lens
{
	nopicmip
	nomipmaps
	{
		map models/weapons2/r93/lens.tga
		rgbGen lightingDiffuse
	}
	{
		map models/weapons2/common/lens.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcGen environment
	}
}

// Deagle
models/weapons2/deagle/f_deagle2
{
	sort additive
	cull disable
	{
		map	models/weapons2/deagle/f_deagle2.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/weapons2/deagle/deagle
{
	{
		map models/weapons2/deagle/deagle.tga
		rgbGen lightingDiffuse
	}
	{
		map models/weapons2/deagle/deagle_tritium.tga
		blendFunc GL_ONE GL_ONE
		rgbGen entity
	}
}

// MK23
models/weapons2/mk23/f_mk232
{
	sort additive
	cull disable
	{
		map	models/weapons2/mk23/f_mk232.tga
		blendfunc GL_ONE GL_ONE
	}
}


// M4
models/weapons2/m4a1/m4a1_aperture
{
    
    cull disable
        {
                map models/weapons2/m4a1/m4a1_aperture.tga
                alphaFunc GE128
		depthWrite
		rgbGen lightingdiffuse
        }
}
models/weapons2/m4a1/f_m4a1
{
	sort additive
	cull disable
	{
		map	models/weapons2/m4a1/f_m4a1.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/weapons2/m4a1/f_m4a12
{
	sort additive
	cull disable
	{
		map	models/weapons2/m4a1/f_m4a12.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Saiga12k
models/weapons2/saiga12k/flashface
{
	sort additive
	cull disable
	{
		map models/weapons2/saiga12k/flashface.tga
		blendfunc add
		rgbGen identity
	}
}
models/weapons2/saiga12k/saiga12k
{
	{
		map models/weapons2/saiga12k/saiga12k_main.tga
		rgbGen lightingDiffuse
	}

}
// AK47
models/weapons2/ak47/flashface
{
	sort additive
	cull disable
	{
		map models/weapons2/ak47/flashface.tga
		blendfunc add
		rgbGen identity
	}
}
models/weapons2/ak47/flashside
{
	sort additive
	cull disable
	{
		map models/weapons2/ak47/flashside.tga
		blendfunc add
		rgbGen identity
	}
}
models/weapons2/ak47/ak47
{
	{
		map models/weapons2/ak47/ak47_main.tga
		rgbGen lightingDiffuse
	}

}

// MP5
models/weapons2/mp5/flashface
{
	sort additive
	cull disable
	{
		map models/weapons2/mp5/flashface.tga
		blendfunc add
		rgbGen identity
	}
}
models/weapons2/mp5/mp5
{
	{
		map models/weapons2/mp5/mp5_main.tga
		rgbGen lightingDiffuse
	}
}
// UMP45
models/weapons2/ump45/ump45
{
	{
		map models/weapons2/ump45/ump45_main.tga
		rgbGen lightingDiffuse
	}
}
models/weapons2/ump45/flashface
{
	sort additive
	cull disable
	{
		map	models/weapons2/ump45/flashface.tga
		blendfunc GL_ONE GL_ONE
	}
}
// M3S90
models/weapons2/m3s90/m3s90
{
	{
		map models/weapons2/m3s90/m3s90.tga
		rgbGen lightingDiffuse
	}
}
models/weapons2/m3s90/flashface
{
	sort additive
	cull disable
	{
		map models/weapons2/m3s90/flashface.tga
		blendfunc add
		rgbGen identity
	}
}

// M76
models/weapons2/m76/flashface
{
	sort additive
	cull disable
	{
		map models/weapons2/m76/flashface.tga
		blendfunc add
		rgbGen identity
	}
}
models/weapons2/m76/flashside
{
	sort additive
	cull disable
	{
		map models/weapons2/m76/flashside.tga
		blendfunc add
		rgbGen identity
	}
}

/// SR8
models/weapons2/sr8/f_sr82
{
	sort additive
	cull disable
	{
		map	models/weapons2/sr8/f_sr82.tga
		blendfunc GL_ONE GL_ONE
	}
}
// HK69
models/weapons2/hk69/f_hk69
{
	sort additive
	cull disable
	{
		map	models/weapons2/hk69/f_hk69.tga
		blendfunc GL_ONE GL_ONE
	}
}





